Contents

# Mid Function, Mid Statement

Xiqqaa himata diraa adda baafamee deebisa (Mid function), yookiin xiqqaa himata diraa, diraa biraatiin bakka buusa (Hima Mid ).

### Syntax:

    Mid (Text As String, Start As Long [, Length As Long]) or Mid (Text As String, Start As Long , Length As Long, Text As String)

### Return value:

String (only by Function)

### Parameters:

Barruu: Himata diraa kamiyyuu kan akka jijjiiramu barbaaddu dha.

Start: Numeric expression that indicates the character position within the string where the string portion that you want to replace or to return begins. The minimum allowed value is 1. The maximum allowed value is 2,147,483,648.

Length: Numeric expression that returns the number of characters that you want to replace or return. The maximum allowed value is 2,147,483,648.

Yoo dheerinni ulaagaa faankishinii Mid keessaa gatame, arfiileen jalqabaa haga xumura himata diraatti jiran marti ni deebi'u.

Yoo dheerinni ulaagaa Hima Mid keessaa irra xiqqaa dheerina barruu ati bakka buusuu barbaadduu ta'e, barruun kun gara dheerina beekkameetti gad-bu'a.

Barruu: Diraa himata diraa (Mid statement) bakka buusuudhaaf fayyadu dha.

### Error codes:

5 Ejjatoo fashalaan waamu

### Example:

    Sub ExampleUSDate
    Dim sInput As String
    Dim sUS_date As String
        sInput = InputBox("Please input a date in the international format 'YYYY-MM-DD'")
        sUS_date = Mid(sInput, 6, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Right(sInput, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Left(sInput, 4)
        MsgBox sUS_date
    End Sub

Matadureewwan Walfakkatan

String functions